Skip to main content
`Ctrl`+`K`
scipy.interpolate.BSpline.

# __call__

BSpline.__call__(x, nu=0, extrapolate=None)

  Evaluate a spline function.

  Parameters:
    x array_like

      points to evaluate the spline at.

    nu int, optional

      derivative to evaluate (default is 0).

    extrapolate bool or ‘periodic’, optional

      whether to extrapolate based on the first and last intervals or return nans. If ‘periodic’, periodic extrapolation is used. Default is self.extrapolate.

  Returns:
    y array_like

      Shape is determined by replacing the interpolation axis in the coefficient array with the shape of x.